


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

/*%CONTROL x'11111111'*/
main() {
int count;
int i;
static void fred(int *i,int first,int step,int last) {
 for (*i=first; *i<=last; *i+=step) {
 count++;
}
}
 count=0;
 fred(&i,0x9000,16,0xA000);
if (count==257 && i==0xA000)  fprintf(out_file, "%s", "TEST OK"); else {fprintf(out_file, "%s", "WRONG"); assert(_IMP_MONITOR_);}
exit(0);
}

/* end of automatic translation */

